Posted on December 11, 2018 9:25 pm
 |  Asked by Gabriel Poza
 |  198 views
0
0
Print Friendly, PDF & Email

Hello

I’m trying to configure a L3 subiterface on a portchannel but it seems it’s not possible. Current SW release is 4.19.8M. Is this a restriction to this HW model or SW version or maybe lack of any advanced L3 license?

Thanks in advance.
BR
Gab

0
Posted by Shreyas Ruwala
Answered on December 11, 2018 10:15 pm

Hi Gab,

I believe for 7160 the support for L3 sub-interfaces is started from 4.20.6F onwards.
Did a quick test for EOS images prior to 4.20.6

Test1:
Arista DCS-7160-48TC6-F
Software image version: 4.18.5M
att323…21:57:42(config)#interface ethernet 1.1 ?
inactive Inactive subordinate lanes in multi-lane mode
unconnected Unconnected/Internal ethernet ports

att323…21:57:42(config)#interface ethernet 1.1
% Invalid input

Test2:
Arista DCS-7160-48TC6-F
Software image version: 4.20.6F

att323…22:12:36#conf t
att323…22:12:53(config)#interface ethernet 1.1
att323…22:12:58(config-if-Et1.1)#interface port-Channel 1.1
att323…22:13:06(config-if-Po1.1)#
att323…22:13:18(config)#sh run interfaces port-Channel 1.1
interface Port-Channel1.1
att323…22:13:27(config)#

For other platforms configurations and limitations are on this article:
https://eos.arista.com/eos-4-15-0f/subinterfaces/

So there is no restriction to this HW model or SW version or maybe lack of any advanced L3 license.
You would only need a code upgrade to 4.20.6F
Let us know if you have any questions.

0
Posted by Gabriel Poza
Answered on December 12, 2018 3:15 pm

Hi Shreyas Ruwala

Thanks a lot for you reply. Let’s see if we can solve some issues with the support contract to perform the SW Upgrade and test it.

BR
Gab

Post your Answer

You must be logged in to post an answer.